GET
/billsList
Recovers all credit card bills collected for the account provided
Parameters
Query Parameters
| Name | Type |
|---|---|
accountIdrequired | string (uuid) |
pageSize | number (double) |
page | number (double) |
Responses
200Retrieve a list of all credit card bills
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of credit card bills
itemsobject
Response with information related to a credit card bill
Example response
json
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"dueDate": "2023-07-20T00:00:00",
"billClosingDate": "2023-07-13T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
],
"payments": [
{
"id": "9f1c7b2e-5d3a-4c8b-a1e2-6f7d8c9b0a1b",
"valueType": "FULL_PAYMENT",
"paymentDate": "2023-07-20T00:00:00",
"paymentMode": "DEBIT_ACCOUNT",
"amount": 50000,
"currencyCode": "BRL"
}
]
}
]
}curl -X GET \
'https://api.pluggy.ai/bills' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Sample response
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"dueDate": "2023-07-20T00:00:00",
"billClosingDate": "2023-07-13T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
],
"payments": [
{
"id": "9f1c7b2e-5d3a-4c8b-a1e2-6f7d8c9b0a1b",
"valueType": "FULL_PAYMENT",
"paymentDate": "2023-07-20T00:00:00",
"paymentMode": "DEBIT_ACCOUNT",
"amount": 50000,
"currencyCode": "BRL"
}
]
}
]
}